# Class SyColors

java.lang.Object
com.io7m.jsycamore.api.colors.SyColors

public final class SyColors extends Object
Functions for generating and processing colors.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static com.io7m.jtensors.core.parameterized.vectors.PVector4D<SySpaceRGBAPreType>`
  `darker(com.io7m.jtensors.core.parameterized.vectors.PVector4D<SySpaceRGBAPreType> color)`
  Produce a 10% darker version of the given color.
  `static com.io7m.jtensors.core.parameterized.vectors.PVector4D<SySpaceRGBAPreType>`
  `desaturated(com.io7m.jtensors.core.parameterized.vectors.PVector4D<SySpaceRGBAPreType> color)`
  Produce a 10% desaturated version of the given color.
  `static com.io7m.jtensors.core.parameterized.vectors.PVector4D<SySpaceRGBAPreType>`
  `fromHex4(int r, int g, int b, int a)`
  Decode a color from the given RGBA values.
  `static com.io7m.jtensors.core.parameterized.vectors.PVector4D<SySpaceRGBAPreType>`
  `inverted(com.io7m.jtensors.core.parameterized.vectors.PVector4D<SySpaceRGBAPreType> c)`
  Invert the values of the R, G, and B components.
  `static com.io7m.jtensors.core.parameterized.vectors.PVector4D<SySpaceRGBAPreType>`
  `lighter(com.io7m.jtensors.core.parameterized.vectors.PVector4D<SySpaceRGBAPreType> color)`
  Produce a 10% lighter version of the given color.
  `static com.io7m.jtensors.core.parameterized.vectors.PVector4D<SySpaceRGBAPreType>`
  `whiteOpaque()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### whiteOpaque

    public static com.io7m.jtensors.core.parameterized.vectors.PVector4D<SySpaceRGBAPreType> whiteOpaque()
    Returns:
      An opaque white color

  - ### lighter

    public static com.io7m.jtensors.core.parameterized.vectors.PVector4D<SySpaceRGBAPreType> lighter(com.io7m.jtensors.core.parameterized.vectors.PVector4D<SySpaceRGBAPreType> color)
    Produce a 10% lighter version of the given color.
    Parameters:
      `color` - The color
    Returns:
      A lighter color

  - ### darker

    public static com.io7m.jtensors.core.parameterized.vectors.PVector4D<SySpaceRGBAPreType> darker(com.io7m.jtensors.core.parameterized.vectors.PVector4D<SySpaceRGBAPreType> color)
    Produce a 10% darker version of the given color.
    Parameters:
      `color` - The color
    Returns:
      A darker color

  - ### desaturated

    public static com.io7m.jtensors.core.parameterized.vectors.PVector4D<SySpaceRGBAPreType> desaturated(com.io7m.jtensors.core.parameterized.vectors.PVector4D<SySpaceRGBAPreType> color)
    Produce a 10% desaturated version of the given color.
    Parameters:
      `color` - The color
    Returns:
      A darker color

  - ### fromHex4

    public static com.io7m.jtensors.core.parameterized.vectors.PVector4D<SySpaceRGBAPreType> fromHex4(int r, int g, int b, int a)
    Decode a color from the given RGBA values. Each component must be in the range `[0, 255]`.
    Parameters:
      `r` - The red component
      `g` - The green component
      `b` - The blue component
      `a` - The alpha component
    Returns:
      A color

  - ### inverted

    public static com.io7m.jtensors.core.parameterized.vectors.PVector4D<SySpaceRGBAPreType> inverted(com.io7m.jtensors.core.parameterized.vectors.PVector4D<SySpaceRGBAPreType> c)
    Invert the values of the R, G, and B components.
    Parameters:
      `c` - The color
    Returns:
      A color